org.h2.schema

## Enum Sequence.Cycle

- java.lang.Object
- - java.lang.Enum<Sequence.Cycle>
  - - org.h2.schema.Sequence.Cycle

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Sequence.Cycle>

Enclosing class:
  Sequence

    public static enum Sequence.Cycle
    extends java.lang.Enum<Sequence.Cycle>

CYCLE clause and sequence state.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CYCLE` Sequence is cycled.
`EXHAUSTED` Sequence is not cycled and was already exhausted.
`NO_CYCLE` Sequence is not cycled and isn't exhausted yet.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `isCycle()` Return whether sequence is cycled.
`static Sequence.Cycle` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Sequence.Cycle[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CYCLE

    public static final Sequence.Cycle CYCLE

Sequence is cycled.

#### NO_CYCLE

    public static final Sequence.Cycle NO_CYCLE

Sequence is not cycled and isn't exhausted yet.

#### EXHAUSTED

    public static final Sequence.Cycle EXHAUSTED

Sequence is not cycled and was already exhausted.

### Method Detail

#### values

    public static Sequence.Cycle[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Sequence.Cycle c : Sequence.Cycle.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Sequence.Cycle valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### isCycle

    public boolean isCycle()

Return whether sequence is cycled.

Returns:
  `true` if sequence is cycled, `false` if sequence is not cycled